<?php

namespace Drupal\sessionless\KeyStorage;

use ParagonIE\Paserk\Operations\Key\SealingSecretKey;
use ParagonIE\Paseto\Keys\AsymmetricSecretKey;

/**
 * Key Storage
 *
 * @internal
 */
interface KeyStorageInterface {

  public function getSigningSecretKey(): AsymmetricSecretKey;

  public function getSealingSecretKey(): SealingSecretKey;

  public function dropSecretKeys(): void;

  public function getKeyVersion(): int;

}
