<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\sessionless\KeyStorage\KeyStorage;
use Drupal\sessionless\KeyStorage\KeyStorageInterface;
use Drupal\sessionless\SessionlessEncryptAndSign;
use Drupal\sessionless\SessionlessOnlySign;

/**
 * @group sessionless
 */
final class SessionlessServicesKernelTest extends KernelTestBase {

  protected static $modules = ['sessionless'];

  public function testServices(): void {
    $this->assertInstanceOf(SessionlessEncryptAndSign::class,
      $this->container->get(SessionlessEncryptAndSign::class));
    $this->assertInstanceOf(SessionlessOnlySign::class,
      $this->container->get(SessionlessOnlySign::class));
    $this->assertInstanceOf(KeyStorage::class,
      $this->container->get(KeyStorageInterface::class));
  }

}
